Name:     ddcopy
Version:  0.1.2
Release:  %mkrel 1

Summary:  Write .img or .iso files to a USB Key
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  GPL
Group:   System/Configuration/Other 
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: hal
Requires: gnome-icon-theme
Requires: syslinux
Requires: python >= 2.7 
Requires: python-parted
Requires: ntfs-3g
Requires: udisks2
Requires: polkit
Requires: policykit
Requires: pygtk2.0-libglade
Requires: yad
Obsoletes: %{name} < %{version}

%description
ddCopy GUI tool to writes iso image files to USB key.
* Makes a bootable USB key
* Formats a USB key

%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR


%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/48x48/apps/%{name}.png
%_datadir/icons/hicolor/48x48/apps/%{name}-format.png
%_datadir/%{name}
/usr/lib/%{name}
%_datadir/polkit-1/actions/*

%changelog
* Wed May 05 2016 Ken <lxgator at gmail.com> 0.1.2-1pclos2016
- 0.1.2

* Sun Mar 06 2016 Ken <lxgator at gmail.com> 0.1.1-1pclos2016
- 0.1.1 

* Fri Feb 19 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- initial build 



